Bug 1762162 - Flaky tests: [Conformance][Area:Networking][Feature:Router] The HAProxy router converges when multiple routers are writing status [Suite:openshift/conformance/parallel/minimal]
Summary: Flaky tests: [Conformance][Area:Networking][Feature:Router] The HAProxy route...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-16 05:06 UTC by zhou ying
Modified: 2020-01-23 11:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:07:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24131 'None' closed Bug 1762162: e2e: fix incorrect router image references 2020-04-28 19:35:42 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:08:15 UTC

Description zhou ying 2019-10-16 05:06:37 UTC
Description of problem:
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-azure-4.2/96

Version-Release number of selected component (if applicable):
release-openshift-ocp-installer-e2e-azure-4.2

[Conformance][Area:Networking][Feature:Router] The HAProxy router converges when multiple routers are writing status [Suite:openshift/conformance/parallel/minimal] 

Oct 15 16:57:06.740: INFO: Error running &{/usr/bin/oc [oc --namespace=e2e-test-router-stress-mfvgj --config=/tmp/admin.kubeconfig logs pod/router-mzzbb -c router -n e2e-test-router-stress-mfvgj] []   Error from server (BadRequest): container "router" in pod "router-mzzbb" is waiting to start: trying and failing to pull image
 Error from server (BadRequest): container "router" in pod "router-mzzbb" is waiting to start: trying and failing to pull image
 [] <nil> 0xc0030811a0 exit status 1 <nil> <nil> true [0xc00367a1e0 0xc00367a218 0xc00367a218] [0xc00367a1e0 0xc00367a218] [0xc00367a1f0 0xc00367a208] [0x95aef0 0x95b020] 0xc00228c000 <nil>}:
Error from server (BadRequest): container "router" in pod "router-mzzbb" is waiting to start: trying and failing to pull image
Oct 15 16:57:06.740: INFO: Error retrieving logs for pod "router-mzzbb"/"router": exit status 1

fail [github.com/openshift/origin/test/extended/router/stress.go:90]: Unexpected error:
    <*errors.errorString | 0xc002726fd0>: {
        s: "replicaset \"router\" never became ready",
    }
    replicaset "router" never became ready
occurred

Comment 1 Dan Mace 2019-11-07 15:29:44 UTC
Looks like the router image used for the custom router deployment tests is coming from.... dockerhub?!

Normal   Pulling    73s (x4 over 2m52s)  kubelet, ci-op-jbq4vvz0-37d82-djhmk-worker-centralus3-98qqc  Pulling image "openshift/origin-haproxy-router:latest"
Warning  Failed     73s (x4 over 2m51s)  kubelet, ci-op-jbq4vvz0-37d82-djhmk-worker-centralus3-98qqc  Failed to pull image "openshift/origin-haproxy-router:latest": rpc error: code = Unknown desc = pinging docker registry returned: error pinging registry registry-1.docker.io, response code 503 (Service Unavailable)

Also, that pull spec looks highly suspicious and suggests we're not actually testing the router image being used in the release payload.

Comment 5 errata-xmlrpc 2020-01-23 11:07:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.